stealth (4.02.00-2) unstable; urgency=medium

  * Replace build-dep on texlive-generic-recommended with
    texlive-plain-generic (Closes: #941552)
  * Bump Standards-Version to 4.4.1

 -- tony mancill <tmancill@debian.org>  Wed, 02 Oct 2019 16:57:49 -0700

stealth (4.02.00-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release depends on bobcat version 5

  [ tony mancill ]
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.4.0
  * Use debhelper 12

 -- tony mancill <tmancill@debian.org>  Wed, 24 Jul 2019 20:31:05 -0700

stealth (4.01.11-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * Upstream migration from Github to Gitlab

  [ tony mancill ]
  * Add debian/watch file
  * Update control and copyright for upstream on gitlab

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 19 Jun 2018 18:07:47 +0530

stealth (4.01.10-2) unstable; urgency=medium

  * Update Vcs fields for migration from Alioth -> Salsa
  * Bump Standards-Version to 4.1.4
  * Update bobcat build-dep to address FTBFS with g++-8 (Closes: #897871)

 -- tony mancill <tmancill@debian.org>  Mon, 07 May 2018 17:04:09 -0700

stealth (4.01.10-1) unstable; urgency=low

  * Added texlive-latex-extra to 'control' and updated required versions.
    (Closes: #887585).
  * Updated debhelper version in 'compat' to use DH 11.
  * Updated copyright info in 'copyright'
  * Bump Standards-Version to 4.1.3.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 18 Jan 2018 13:12:32 +0100

stealth (4.01.09-1) unstable; urgency=low

  * New compilation needed for bobcat 4.08.02

  * Cosmetic changes by upstream to the icmake configuration file

  * Updated bobcat's version requirement in debian/control

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 22 Sep 2017 09:11:12 +0200

stealth (4.01.08-1) unstable; urgency=medium

  * Upstream fixed a FTBFS problem introduced by a new compiler version.

  * Updated debian/control

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 31 Aug 2017 16:31:14 +0200

stealth (4.01.07-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * Upstream fixed a bug in the user-guide's LaTeX file (Closes: #871210).
  * Updated version requirements in 'contol'.
  * New upstream version 4.01.07

  [ tony mancill ]
  * Depend upon libbobcat-dev 4.07.00
  * Use debhelper and compat level 10

 -- tony mancill <tmancill@debian.org>  Tue, 08 Aug 2017 14:26:43 -0700

stealth (4.01.06-1) unstable; urgency=low

  * Upstream processed the 4.01.05-2 patch for getcwd.

  * Removed the debian/patches directory and files.

  * Updated version requirements in 'control'.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 19 Apr 2017 12:03:21 +0200

stealth (4.01.05-2) unstable; urgency=medium

  * Add patch to set getcwd() allocate buffer (Closes: #859109).
    - Thank you to Svante Signell for the bug report and patch.
  * Update capitalization in Uploades to match my DEBFULLNAME

 -- tony mancill <tmancill@debian.org>  Thu, 30 Mar 2017 20:38:30 -0700

stealth (4.01.05-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * Applied the patch provided by Santiago Vila <sanvila@debian.org>.
    (Closes: #814438).

  * Updated required software in 'debian/control'

  * Upstream fixed some typos

  [ tony mancill ]
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 14 May 2016 14:17:34 +0530

stealth (4.01.04-1) unstable; urgency=medium

  * New upstream release streamlines the installation procedure

  * Adapted debian/rules so that the user guide and comparable documentation
    is installed in stealth-doc*.deb

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 24 Dec 2015 13:04:39 +0100

stealth (4.01.03-2) unstable; urgency=medium

  * Build depends on icmake 8.00.05

  * Reinstalled debian/rules file's execute permissions

  * Fixed a flaw in the debian/rules file installation specifications

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 21 Dec 2015 14:36:00 +0100

stealth (4.01.03-1) unstable; urgency=medium

  * Upstream adapted build scripts to icmake 8.00.04

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 20 Dec 2015 12:04:31 +0100

stealth (4.01.02-1) unstable; urgency=medium

  * Upstream fixed a flaw in the installation script, Upstream's 'build'
    script now supports -P to prevent the use of precompiled headers

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 06 Oct 2015 21:05:47 +0200

stealth (4.01.01-1) unstable; urgency=medium

  * New upstream release uses precompiled headers and redefines its
    installation procedure. The debian/rules file was adapted accordingly

  *  now depends on libbobcat-dev >= 4.00.00

  * Removed git-orig-source target from debian/rules

  * New Homepage: https://fbb-git.github.io/stealth

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 03 Oct 2015 20:13:19 +0200

stealth (4.01.00-3) unstable; urgency=medium

  * Rebuild against bobcat >= 3.25.02-3 for g++5 ABI transition.
  * Add -n option to gzip to avoid timestamps in gzipped documentation.

 -- tony mancill <tmancill@debian.org>  Wed, 12 Aug 2015 20:26:09 -0700

stealth (4.01.00-2) unstable; urgency=medium

  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Fri, 01 May 2015 20:40:23 -0700

stealth (4.01.00-1) experimental; urgency=low

  * New upstream release adds IPC option --ping and updates the
    /usr/bin/stealthcron script.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 07 Mar 2015 15:26:10 +0100

stealth (4.00.00-1) experimental; urgency=low

  [ Frank B. Brokken ]
  * New major release uses Unix Domain Sockets instead of signals for
    communication between Stealth daemons and Stealth programs doing IPC
    requests. See the upstream's changelog for further details.

  * Removed Tony's 3.00.00-2 patch: the upstream CLS setting has now been
    disabled.

  * Fixed compilation errors that emerged with g++-5, reported by Matthias
    Klose. (Closes: #778131)

  [ tony mancill ]
  * Upload to experimental.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 15 Feb 2015 12:29:03 +0100

stealth (3.00.00-2) unstable; urgency=medium

  * Disable definition of CLS in icmconf.
    This is causing build failures on the buildds.

 -- tony mancill <tmancill@debian.org>  Mon, 01 Sep 2014 17:48:29 -0700

stealth (3.00.00-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release: a complete rebuilt and option-reorganization. The
    manual now offers clickable links.

  * Update debian/control and debian/rules: now stealth is first compiled, and
    only then the documentation is generated.

  [ tony mancill ]
  * Address most blhc warnings by appending CPPFLAGS to CXXFLAGS in
    debian/rules.  Remaining warnings are from the "manual" (binary-indep
    generation of the documentation).

 -- tony mancill <tmancill@debian.org>  Mon, 01 Sep 2014 16:48:38 -0700

stealth (2.11.04-3) unstable; urgency=medium

  * Drop explicit versioned g++ dependency.  The g++ default is now
    g++-4.9 across all architectures.
  * Specify arch-all binary package build-deps as build-dep-indep.
    This will speed up the build on the auto-builders.

 -- tony mancill <tmancill@debian.org>  Fri, 27 Jun 2014 21:01:16 -0700

stealth (2.11.04-2) unstable; urgency=medium

  * Switch explicitly depending on g++-4.8 to g++-4.9.  This is only
    needed because sh4 still defaults to g++-4.6.  (Closes: #751332)
  * Add cm-super-minimal to build-deps. This is needed during the
    build of documentation.

 -- tony mancill <tmancill@debian.org>  Thu, 12 Jun 2014 07:01:07 -0700

stealth (2.11.04-1) unstable; urgency=low

  * Upstream fix of the FTBFS with clang problem reported by Nicolas
    Sevelin-Radiguet

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 24 Apr 2014 16:16:40 +0200

stealth (2.11.03-3) unstable; urgency=medium

  * Add patch for FTBFS with clang.  (Closes: #745355)
    - Thanks to Nicolas Sevelin-Radiguet for the patch.

 -- tony mancill <tmancill@debian.org>  Mon, 21 Apr 2014 21:28:23 -0700

stealth (2.11.03-2) unstable; urgency=low

  * Add patch for FTBFS with bobcat 3.17.00.  (Closes: #729302)
    - Thank you to Andreas Moog.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- tony mancill <tmancill@debian.org>  Mon, 11 Nov 2013 19:41:47 -0800

stealth (2.11.03-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream version.
  * 2.11.02-2 patch now processed at the upstream level. Patch removed.

  [ tony mancill ]
  * Update Vcs URLs to be canonical.
  * Explicitly depend on g++-4.8; set CXX accordingly.

 -- tony mancill <tmancill@debian.org>  Sun, 11 Aug 2013 18:38:58 -0700

stealth (2.11.02-2) unstable; urgency=low

  * Add patch to update POSIX perm format in documentation
    (Closes: #711694)
  * Remove build-stamp from debian/rules.

 -- tony mancill <tmancill@debian.org>  Mon, 10 Jun 2013 14:37:46 -0700

stealth (2.11.02-1) unstable; urgency=low

  * New upstream release.
  * Stealth now catches std::exceptions instead of FBB::Errno exceptions
  * Stealth returns 0 with options --help and --version

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 25 Jan 2013 11:17:55 +0100

stealth (2.11.01-2) unstable; urgency=low

  * Revert change to Build-Depends-Indep so the auto-builders
    have a chance.

 -- tony mancill <tmancill@debian.org>  Thu, 24 Jan 2013 14:18:02 -0800

stealth (2.11.01-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * improved handling of skip-files specifications, several related
    modifications, see the changelog

  [ tony mancill ]
  * Update Vcs fields in d/control to point to collab-maint repository
    on git.debian.org.
  * Bump Standards-Version to 3.9.4 (no changes required).
  * Bump debhelper dependency and d/compat to 9.
  * Depend explicitly on g++-4.7, set CXX in d/rules.
  * Split Build-Depends into Build-Depends and Build-Depends-Indep.

 -- tony mancill <tmancill@debian.org>  Thu, 24 Jan 2013 10:38:33 -0800

stealth (2.10.01-1) unstable; urgency=low

  * build script recognizes CXX, CPPFLAGS, CXXFLAGS, and LDFLAGS
    environment variables, relro removed from LDFLAGS

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 22 Jul 2012 12:49:59 +0200

stealth (2.10.00-1) unstable; urgency=low

  * New upstream release
    + new option --reload and supports skipping directories
  * Added relro to LDFLAGS

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 16 Jun 2012 16:03:36 +0200

stealth (2.04.00-1) unstable; urgency=low

  * New upstream release fixes failing command recognition

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 03 Jun 2012 16:23:10 +0200

stealth (2.03.00-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release depends on Bobcat 3.01.00

  [ tony mancill ]
  * d/compat set to 8

 -- tony mancill <tmancill@debian.org>  Thu, 31 May 2012 22:15:50 -0700

stealth (2.02.02-1) unstable; urgency=low

  * New upstream release

  * Build-Depend on g++ >= 4.6.2, and bobcat >= 2.21.00

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 08 Jan 2012 14:46:07 +0100

stealth (2.02.01-3) unstable; urgency=low

  * Build-Depend on g++ >= 4:4.6.0, better support for c++0x.
    (fixes ftbfs with older compilers on some architectures)

 -- George Danchev <danchev@spnet.net>  Mon, 27 Jun 2011 09:43:50 +0300

stealth (2.02.01-2) unstable; urgency=low

  * install-arch should not depend on build.
  * move texlive-latex-base, texlive-generic-recommended,
    texlive-latex-recommended, texlive-fonts-recommended,
    ghostscript back to depends as they are need to create
    the documentation of stealth (arch-dependent) package.

 -- George Danchev <danchev@spnet.net>  Sun, 26 Jun 2011 21:31:39 +0300

stealth (2.02.01-1) unstable; urgency=low

  * Nw upstream release
   + Removed FnWrap* calls from Stealth's sources
   + `build' script now recognizes CXXFLAGS and LDFLAGS for, resp. g++ and ld
    flags. Default values are set in INSTALL.im, as before.
  * [GD] Rename build to build-arch.
  * [GD] Drop configure* targets.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 26 Jun 2011 14:26:24 +0200

stealth (2.02.00-2) unstable; urgency=low

  * [GD] pass -a to dh_* in binary-arch.
  * [GD] do not compess .dvi, .latex, .txt, .ps, .pdf.
  * [GD] drop duplicate (empty) binary-indep target.
  * [GD] remove useless spaces from rules and control.

 -- George Danchev <danchev@spnet.net>  Wed, 08 Jun 2011 19:26:15 +0300

stealth (2.02.00-1) unstable; urgency=low

  * New upstream release.
  * [FB] build depend on bobcat >= 2.17.00.
  * [GD] honor noopt via DEB_BUILD_OPTIONS.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 07 Jun 2011 13:14:50 +0200

stealth (2.01.00-4) unstable; urgency=low

  * Change to source format 3.0 (quilt).

 -- George Danchev <danchev@spnet.net>  Tue, 31 May 2011 21:02:29 +0300

stealth (2.01.00-3) unstable; urgency=low

  * Build-Depends: libbobcat-dev 2.16.00 (fixes a linkage problem,
    previous bobcat library versions had, on armel)
  * Add Vcs-Browser field.

 -- George Danchev <danchev@spnet.net>  Thu, 26 May 2011 18:18:40 +0300

stealth (2.01.00-2) unstable; urgency=low

  * Build-Depends: libbobcat-dev (>= 2.15.02) to pick up latest fixes.
  * Drop leading articles from description (thanks lintian).
  * Standards-Version: 3.9.2 (no changes needed).

 -- George Danchev <danchev@spnet.net>  Tue, 17 May 2011 10:43:35 +0300

stealth (2.01.00-1) unstable; urgency=low

  * New upstream release, new bobcat dependency: >= 2.14.00

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 05 Feb 2011 12:41:22 +0100

stealth (2.00.1-2) unstable; urgency=low

  * New bobcat dependency: >= 2.11.0

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 10 Jan 2011 14:12:39 +0100

stealth (2.00.1-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release
    depends on Yodl >= 3.00.0, bobcat >= 2.10.02

  [ tony mancill ]
  * Set distribution to unstable.

 -- tony mancill <tmancill@debian.org>  Sat, 25 Dec 2010 19:49:18 -0800

stealth (2.00.0-1) experimental; urgency=low

  [ Frank B. Brokken ]
  * New upstream release (repaired defunct -o option, added option
    --skip-files, multiple cosmetic changes)
  * Build-Depends on bobcat 2.09.02

  [ tony mancill ]
  * Set distribution to experimental.

 -- tony mancill <tmancill@debian.org>  Fri, 05 Nov 2010 22:33:32 -0700

stealth (1.47.4-1) unstable; urgency=low

  * New upstream version (Closes: #530657, #542991)
  * Changed usr/sbin to usr/bin in debian/dirs
  * Build-Depends on bobcat 2.04.01

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 03 Sep 2009 14:41:42 +0200

stealth (1.47.3-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream version
  * Split-off a supplementary documention package stealth-doc
  * Application package stealth now suggests stealth-doc
  * Added binary-indep, build-indep, install-indep for stealth-doc
    construction

  [ tony mancill ]
  * Added cm-super to Build-Depends-Indep
  * Modified case of name in debian/control

 -- tony mancill <tmancill@debian.org>  Mon, 30 Mar 2009 11:47:01 -0700

stealth (1.47.2-4) unstable; urgency=low

  * rebuild against bobcat 2.00.1-2

 -- George Danchev <danchev@spnet.net>  Sun, 07 Dec 2008 06:41:40 +0200

stealth (1.47.2-3) unstable; urgency=low

  * stealth depends on libbobcat-dev >= 2.00.0, updated debian/control

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 29 Nov 2008 20:05:20 +0100

stealth (1.47.2-2) unstable; urgency=low

  * stealth  depends run-time on libbobcat1 >= 1.21.1, updated debian/control

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 02 Nov 2008 11:27:51 +0100

stealth (1.47.2-1) unstable; urgency=low

  * stealth  depends on libbobcat1-dev >= 1.21.1, updated debian/control

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 26 Oct 2008 16:33:47 +0100

stealth (1.47.1-2) unstable; urgency=low

  * stealth  depends on libbobcat1-dev >= 1.20.1, updated various control file
    versions

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 07 Sep 2008 21:38:17 +0200

stealth (1.47.1-1) unstable; urgency=low

  * New upstream release

  * build-depends depends on debhelper (>> 5.0.37.3) and
    temporarily not using LaTeX (ps2pdf problems on hppa and sparc)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 16 Mar 2008 12:10:45 +0100

stealth (1.46.1-2) unstable; urgency=low

  [ George Danchev ]
  * build-depend on libbobcat1-dev >= 1.17.1-1
  * standards-version 3.7.3

  [ tony mancill ]
  * Add Homepage: and Vcs-Svn: fields to debian/control

 -- tony mancill <tmancill@debian.org>  Mon, 31 Dec 2007 15:04:10 -0800

stealth (1.46.1-1) unstable; urgency=low

  * New upstream release (Closes: #438053)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 05 Sep 2007 14:11:20 +0200

stealth (1.46-2) unstable; urgency=low

  * Added missing ${misc:Depends}

 -- George Danchev <danchev@spnet.net>  Sun, 12 Aug 2007 19:10:54 +0300

stealth (1.46-1) unstable; urgency=low

  [ Frank Brokken ]
  * New upstream release.
  * control: Transition build-deps from tetex to texlive packages

  [ George Danchev ]
  * control: Added Tony Mancill to Uploaders
  * rules: Added get-orig-source target
  * rules: Use build distclean to allow subsequent builds
    from the same source tree to succeed (Closes: #424234)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 25 May 2007 13:01:04 +0200

stealth (1.45-3) unstable; urgency=low

  * install upstream changelog

 -- George Danchev <danchev@spnet.net>  Sat, 23 Sep 2006 01:28:03 +0300

stealth (1.45-2) unstable; urgency=low

  * rules: don't use ./build install since icmake 6.22-7
    seems to be problematic on powerpc (Closes: #388423)

 -- George Danchev <danchev@spnet.net>  Wed, 20 Sep 2006 18:54:06 +0300

stealth (1.45-1) unstable; urgency=low

  * New upstream release

  [ Frank Brokken ]
  * Debian packageing now uses icmake scripts and INSTALL.im to define
    the locations of the various targets. Added the directory ./icmake

  [ George Danchev ]
  * drop patch merged upstream
  * new build-depends: icmake, yodl, tetex-bin, tetex-extra, gs-gpl | gs

 -- George Danchev <danchev@spnet.net>  Sat, 26 Aug 2006 12:37:35 +0300

stealth (1.44-3) unstable; urgency=low

  * build-depend on tetex-bin and g++ instead of g++-x.y

 -- George Danchev <danchev@spnet.net>  Thu,  3 Aug 2006 21:21:10 +0300

stealth (1.44-2) unstable; urgency=low

  [ George Danchev ]
  * 01_gen_manual.dpatch: generate manual, without latex
  * control: Add yodl, dpatch to build-depends
  * rules: Add get-orig-source and print-version targets


 -- George Danchev <danchev@spnet.net>  Sun, 23 Jul 2006 03:05:12 +0300

stealth (1.44-1) unstable; urgency=low

  * License changed to the GNU GENERAL PUBLIC LICENSE. See the file
    `copyright'.

    Introduced George Danchev <danchev@spnet.net> as uploader

    From now on this file will only reflect Debian-specific changes. See the
    newly added file Changelog for `upstream' changes. At this point,
    Changelog will be a mere copy of debian's changelog file.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 19 Jul 2006 12:57:17 +0200

stealth (1.43) unstable; urgency=low

  * Following suggestions made by George Danchev, this version was compiled by
    the unstable's g++ compiler (version >= 4.1), which unveiled several flaws
    in the library's class header files. These flaws were removed (i.e.,
    repaired).

    In order to facilitate compiler selection, the compiler to use is defined
    in the INSTALL.cf file.

    The debian control-files (i.e., all files under the debian subdirectory)
    were removed from the source distribution, which is now also named in
    accordance with the Debian policy. A diff.gz file was added.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu,  6 Jul 2006 12:24:58 +0200

stealth (1.42) unstable; urgency=low

  * When a (remote) CHECK command failed to return 0, Stealth didn't properly
    terminate. This was repaired by changing the return value of
    Reporter::relax() to type bool, returning d_continue. This return value is
    now checked in Monitor::control(). If not true, the Monitor::control()
    loop terminates, thus terminating the program with exit value 1.

    make/install script now defines PREFIX=/ if called without argument.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 26 Jun 2006 09:27:34 +0200

stealth (1.41c) unstable; urgency=low

  * Stealth was `lintianized' and `lindanized'. The info in debian's control
    file was adapted. As the bobcat libraries are now in libbobcat1* packages,
    stealth's dependencies were adapted accordingly.

 -- Frank B. Brokken <f.b.broken@rug.nl>  Sun, 28 May 2006 12:39:15 +0200

stealth (1.41b) unstable; urgency=low

  * Recompilation because of changes in the bobcat library.
    This version of Stealth depends on bobcat 1.7.0.
    No changes to Stealth itself. The compilation dependency for the
    g++ compiler has been restored.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue,  2 May 2006 21:37:31 +0200

stealth (1.41a) unstable; urgency=low

  * Minor changes to the make/library script, adapted the program's release
    years. Dependency check in debian/control for g++ removed since it fails
    for unkown reasons. The version should be >= 4.0.2

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed,  1 Feb 2006 12:46:01 +0100

stealth (1.41) unstable; urgency=low

  * Library requirement up-to-date: bobcat 1.6.0

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 26 Dec 2005 19:17:24 +0100

stealth (1.40) unstable; urgency=low

  * all local Pattern objects are now static data members

    removed: superfluous stealth.doc-base; debugmacro;
    classes arg, configfile, errno fdout fork ifdnbuf pattern pipe selector
    (now in bobcat)

    Renamed all .h2 headers to my standard .ih names:
            util, configsorter, reporter scanner

    Reporter::reset() now calls Reporter::rewind()

    Reporter uses d_hasMail data member instead of d_sizeBeyondHeader:
    d_hasMail can simply be set to false following the writing of the header,
    and then to true at each sync() command.

    added: Reporter::exit(), first inserting the message into the reporter,
    then to cerr, and exiting.

    fatal error messages are no longer suppressed with -q

    man(ual) pages adapted accordingly.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 26 Dec 2005 18:23:25 +0100

stealth (1.35) unstable; urgency=low

  * Recompilation using g++-4.0. Requires bobcat >= 1.4.0

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 19 Nov 2005 16:47:28 +0100

stealth (1.34) unstable; urgency=low

  * Removed dependencies on `icmake'. See the file `INSTALL' for details about
    compiling and installing `stealth' from the source package, rather than
    from the binary (.deb) package.
    Stealth's functionality has not been altered.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun,  4 Sep 2005 15:11:46 +0200

stealth (1.33) unstable; urgency=low

  * With the advent of the bobcat library (Brokken's Own Base Classes And
    Templates) various classes were removed from stealth's distribution: Arg,
    Configfile, Errno, Fork, Hashclasses, Ifdstreambuf, Ofdbuf, Pattern, and
    Pipe. Also, the manual pages were adapted to reflect the fact that I'm
    distributing Debian (source and binary) packages, rather than pure source
    packages. No further change in functionality was implemented. To compile
    stealth bobcat-dev is required, to run the binary bobcat itself. See
    http://bobcat.sourceforge.net and http://sourceforge.net/projects/bobcat
    for further information about bobcat.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 20 Aug 2005 15:35:32 +0200

stealth (1.32) unstable; urgency=low

  * Version 1.31 was not distributed. Version 1.32 offers identical user
    options as V 1.31, but has some minor internal improvements in its code
    over 1.31. In particular, a running stealth process will signal its
    suppressor that it's ready. This simplifies the construction of, e.g.,
    logrotate scripts.

    Note btw that the date and timestamps in this file are CET (+ DST when
    active)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon,  1 Aug 2005 10:49:36 +0200

stealth (1.31) unstable; urgency=low

  * Added --suspend and --resume options allowing logfile rotations on a
    keepalive running stealth process. Changed the manual page using standard
    manpage*() macros instead of SUBST()s

    Internally, a Monitor class was added, exercising and taking over  much of
    the control functionality of the Scanner class

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 30 Jul 2005 00:13:14 +0200

stealth (1.30-2a) unstable; urgency=low

  * Stupid: forgot to update the program's version itself :-(
    Now it's 1.30-2a

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 27 Apr 2004 17:56:54 +0200

stealth (1.30-2) unstable; urgency=low

  * Repaired bug in Scanner::Scanner():
    The process-id's of the SH and SSH programs were assigned before
    IOFORK::fork() was executed, so they received undefined values. This was
    repaired by assigning the d_shPid and d_sshPid assignments to the
    Scanner::preamble() function.

    Also, the call to killChildren() at the end of stealth's main() function
    (in stealth.cc) was superfluous, as the atexit() call in preamble already
    ensures that the childprocesses are called.

    Finally, the Yodl manual files are adapted to Yodl V. >= 2.00. The
    /usr/local/share/yodl/macros.yo file isn't required anymore, and the
    XXsloppyhfuzz undefinition was changed into a call of nosloppyhfuzz().

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 27 Apr 2004 17:39:17 +0200

stealth (1.30-1) unstable; urgency=low

  * --keep-alive, --terminate and --rerun require the name of a file in which
    the process id of the running stealth process is stored. This file will be
    writen when the --keep-alive flag is used, read by the other two and
    removed by the corresponding stealth process when it terminates. Manpages
    and docs updated accordingly.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 17 Dec 2003 09:21:11 +0100

stealth (1.30) unstable; urgency=low

  * --terminate, --rerun, --repeat and --keep-alive flags were added to allow
    stealth to keep an existing connection for longer periods of
    time. Manpages and docs updated accordingly

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 12 Dec 2003 12:45:45 +0100

stealth (1.22-0) unstable; urgency=low

  * Added GET and PUT. Put allows stealth to put files to the client using
    the existing ssh connection.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 26 Nov 2003 21:25:02 +0100

stealth (1.21-0) unstable; urgency=low

  * Added the GET command, allowing stealth to retrieve files from the client
    for, e.g., local inspection, without requiring an additional ssh
    connection.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 22 Nov 2003 13:55:40 +0100

stealth (1.20-2) unstable; urgency=low

  * New buildscripts added for man(ual) pages. This file will take over from
    CHANGELOG which logged the original, non-Debian distribution.

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Fri, 20 Jun 2003 17:21:42 +0200

stealth (1.20-1) unstable; urgency=low

  * Initial Release.

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Wed, 18 Jun 2003 12:13:41 +0200
